PHP is one of the most widely used open-source programming languages. It is quite popular because it’s free software, which you can use to build interactive websites such as community websites, online shopping portals or online teaching portals rather than static HTML websites. A PHP module should be present on the server where a PHP-powered site is hosted so that its PHP code can be ‘translated’. As there are no license fees for this kind of module and the language itself offers endless options for the web-based applications that you create, there’re 100s of millions of PHP websites. What is more, there are an immense number of PHP-based scripts, which you can use for your sites without the need to have any coding expertise. As there’re different PHP versions, you have to make certain that the very same version that you used while setting up your website is activated on the server too.

PHP 4 and PHP 5 Support in Cloud Hosting

Our cloud hosting servers support different PHP versions, which means that your websites will run correctly even if your scripts are outdated. We accept the fact that an old website doesn’t always mean a vulnerable one as you may have implemented a lot of source code modifications. This is the reason why we support PHP 4, 5.2, 5.3, 5.4 and 5.5 and you can select which version will be active for your hosting account. The version can be changed with only one click inside your Hepsia hosting Control Panel and the new settings will take effect momentarily. In case you wish to run both older and newer scripts, there is even a possibility to use a different PHP version for each domain of yours simultaneously.

PHP 4 and PHP 5 Support in Semi-dedicated Hosting

If you have a website created in an earlier PHP version and you have donated time and energy to developing it, repairing safety loopholes and publishing page content, you’ll need a hosting service that can support it, since nearly all web hosting providers nowadays offer only the most recently published version of PHP and abandon the older versions. We, on the other hand, have decided to let you select the version that your own sites require. Our Linux semi-dedicated packages support multiple versions of PHP 5 as well as PHP 4, which implies that you’ll be able to use both newer and older scripts without forfeiting any manual tweaks or wasting time and efforts striving to make your websites compatible with the web hosting environment. You can change the version from the Hepsia hosting Control Panel and such a change will affect the whole semi-dedicated account, but you will also be able to pick a different version for each site that you host in your account by means of an .htaccess config file.